Subject: Re: [PATCH iproute2] Re: HTB accuracy for high speed

From: Jarek Poplawski <[email-masked]>
Date: Tue, 9 Jun 2009 05:49:07 +0000

On Tue, Jun 09, 2009 at 09:25:48AM +0400, Badalian Vyacheslav wrote:
> Hello!
> Do you have any progress to apply this patch set?
> I'm very interested to view that patches in mainline kernel tree. We
> would like to use HTB for speeds more than 1G (converts 10 servers x 1G
> to few with 10G intel multi queue network devices).

Hi,

I'll try to send patches today, but they are expected to work with 1G
or maybe a little more. I'm not sure higher rates make sense without
tso/gso, which isn't properly handled by packet schedulers anyway, so
more time/feedback/testing will be needed to go further.

Regards,
Jarek P.